@import "../../../core/variables";

.icon {
  display: block;
}

.source {
  height: 100%;
  display: block;
}

.isSquare {
  .source {
    width: 100%;
  }
}

// Sizes
.stretchSize {
  height: 100%;

  &.isSquare {
    width: 100%;
  }
}

@each $key, $size in (
                (lt, 12px),
                (xs, 16px),
                (sm, 22px),
                (md, 28px),
                (lg, 32px),
                (xl, 40px),
) {
  .#{$key}Size {
    height: $size;

    &.isSquare {
      width: $size;
    }
  }
}

// States
.pure {

}

.inheritState {
  .source {
    fill: currentColor;
  }
}